@font-face {
  font-family: "HGKBRuderPlakatLLVar";
  src: url("fonts/HGKBRuderPlakatLLVar.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
}

/* general */
html,
body {
  padding: 0;
  margin: 0;
  font-family: "HGKBRuderPlakatLLVar", sans-serif;
  letter-spacing: 0.06em;
  background-color: black;
  overflow-x: hidden;
  color: white;
  transition: background-color 0.3s, color 0.3s;
}

body.dark-mode {
  background-color: white;
  color: black;
}

body.stop-scroll {
  overflow: hidden;
}

body::-webkit-scrollbar {
  display: none;
}

.col {
  /* border: 0.25px solid red;
  border-radius: 5px; */
  justify-content: flex-start;
  align-items: flex-start;
  box-sizing: border-box;
}

.col-full-height {
  min-height: calc(100vh - 120px);
}

.empty {
  margin-top: 8vh;
}

/* flex-box */
.next-to-slider {
  display: flex;
  gap: 10px;
  width: 100%;
  margin-left: 5vw;
}

.next-to-text {
  position: relative;
  display: flex;
  gap: 10px;
  width: 100%;
}

@media (max-width: 768px) {
  .next-to-text {
    flex-direction: column;
  }
}

.next-to-click {
  display: flex;
  gap: 10px;
  align-items: first baseline;
  width: 100%;
}

/* videos */
.motion {
  z-index: 1;
  width: 100%;
  height: auto;
  padding: 0;
}

.audio-button {
  position: absolute;
  border: 0.5px solid red;
  border-radius: 5px;
  color: red;
  padding: 6px;
  cursor: pointer;
  transition: 100ms;
  z-index: 10;
  right: 1vw;
  top: 1vw;
  font-size: 10px;
  letter-spacing: 0.15vw;
  font-family: "HGKBRuderPlakatLLVar";
  font-variation-settings: "YTUC" 100, "YTLC" 100, "YTDE" 500;
  background-color: transparent;
}

.audio-button:hover {
  background-color: red;
  color: black;
  transition: 100ms;
}

/* floating text */
.p-text {
  font-size: 14px;
  font-family: "courier new", mono-space;
  word-spacing: -0.1em;
  letter-spacing: -0.01em;
  line-height: 130%;
  margin-right: 0.2vw;
}

.p-title {
  font-family: "HGKBRuderPlakatLLVar";
  font-size: 16px;
  font-variation-settings: "YTUC" 100, "YTLC" 100, "YTDE" 500;
  letter-spacing: 0.11vw;
  /* margin-top: -0.4vh; */
}

.p-artists {
  font-size: 4vw;
  letter-spacing: 120%;
  margin: 0;
  margin-left: -2px;
  text-align: left;
  font-variation-settings: "YTUC" 550, "YTLC" 900, "YTDE" 100;
  line-height: 130%;
}

.p-align {
  margin-top: 5.4vh;
}

@media (max-width: 768px) {
  .p-artists {
    font-size: 40px;
  }
  .p-align {
    margin-top: none;
  }
}

#footer-text {
  font-size: 12px;
  font-family: "courier new", mono-space;
  margin-top: 4vh;
  margin-left: 0.4vw;
  text-align: center;
}
